import { __assign, __extends } from "tslib";
import './vdom';
import * as React from 'react';
import { CalendarApi, CalendarDataProvider, CalendarContent, computeCalendarHeight, computeCalendarClassNames } from '@fullcalendar/common';
var FullCalendar = /** @class */ (function (_super) {
    __extends(FullCalendar, _super);
    function FullCalendar() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._calendarApi = new CalendarApi();
        return _this;
    }
    FullCalendar.prototype.render = function () {
        return (React.createElement(CalendarDataProvider, { optionOverrides: this.props, calendarApi: this._calendarApi }, function (data) { return (React.createElement("div", { className: computeCalendarClassNames(data).join(' '), style: { height: computeCalendarHeight(data) } },
            React.createElement(CalendarContent, __assign({}, data)))); }));
    };
    FullCalendar.prototype.getApi = function () {
        return this._calendarApi;
    };
    return FullCalendar;
}(React.Component));
export default FullCalendar;
// export all important utils/types
export * from '@fullcalendar/common';
